#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Khazad
Summary:	Crypt::Khazad - Crypt::CBC-compliant block cipher
Summary(pl.UTF-8):	Crypt::Khazad - szyfr blokowy kompatybilny z Crypt::CBC
Name:		perl-Crypt-Khazad
Version:	1.0.3
Release:	6
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f6908bf11cb780d455a8779a60ecc570
URL:		http://search.cpan.org/dist/Crypt-Khazad/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Khazad is a 128-bit key, 64-bit block cipher. Designed by Vincent
Rijmen and Paulo S. L. M. Barreto, Khazad is a NESSIE finalist for
legacy-level block ciphers. Khazad has many similarities with
Rijndael, and has an extremely high rate of diffusion. This module
supports the Crypt::CBC interface.

%description -l pl.UTF-8
Khazad to 64-bitowy szyfr blokowy ze 128-bitowym kluczem. Został
opracowany przez Vincenta Rijmena i Paulo S. L. M. Baretto. Khazad
jest finalistą NESSIE w kategorii spadkowych szyfrów blokowych.
Khazad ma wiele podobieństw do algorytmu Rijndael i ma bardzo
duży współczynnik dyfuzji. Ten moduł obsługuje interfejs Crypt::CBC.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cd examples
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
for f in * ; do
	sed -e "s@#!/usr/local/bin/perl@#!/usr/bin/perl@" $f \
		> $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/$f
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/Khazad.pm
%dir %{perl_vendorarch}/auto/Crypt/Khazad
%{perl_vendorarch}/auto/Crypt/Khazad/Khazad.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Khazad/Khazad.so
%{_mandir}/man3/*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-Khazad.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> bce2de9
- rebuild with perl 5.18.0
- release 6 (by relup.sh)

* Wed Jun 30 2010 amateja <amateja@pld-linux.org> 32328f0
- release 5

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4df02ad
- release 4

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> 2ed515a
- generic URL

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> 7870834
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b35f13d
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> fead0b8
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b875371
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 086db79
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 7b03f7d
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> 1295dc9
- fixed perl-devel BR

* Wed May 05 2004 ankry <ankry@pld-linux.org> 8ffde8f
- cosmetics

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> aef39c9
- new bconds

* Mon Sep 15 2003 Adam Gołębiowski <adamg@pld-linux.org> 209b2a8
- updated to 1.0.3

* Tue Jun 17 2003 Jakub Bogusz <qboosh@pld-linux.org> 1100b00
- new

